Accueil - Apache

Tout afficher

Wamp - ssl certificate problem: unable to get local issuer certificate

Tags: PHP, Apache

Posté le 11 mars 2019


Vml20190311234929738 wamp error ssl

En installant une nouvelle librairie, ou en utilisant un framework (comme Symfony), on peut tomber sur l’erreur suivante :

Wamp curl error 60: ssl certificate problem: unable to get local issuer certificate

Pour résoudre cette erreur, il existe une solution très simple :

  • Télécharger le certificat à cette adresse : https://curl.haxx.se/ca/cacert.pem
  • Copiez ce fichier dans votre dossier Wamp (C:\wamp64 par exemple).
  • Dans votre php.ini (vous pouvez le trouver en tapant, dans votre terminal, la commande suivante : « php --ini »), cherchez la ligne où se trouve « ;curl.cainfo = "" ». Modifiez-la comme ceci :
curl.cainfo = "C:\wamp64\cacert.pem"

N’hésitez pas à adapter cette ligne selon votre situation.

Une fois cette étape terminée, il vous suffit de redémarrer Wamp.

Lire ...

PHP - Augmenter la taille d'upload des fichiers grâce au HTACCESS

Tags: PHP, Apache

Posté le 21 janvier 2018


Il existe plusieurs techniques pour augmenter la taille maximale de téléchargement en PHP. La plus classique est, bien entendu, de passer par le fichier php.ini. Il est également possible d'utiliser un fichier .htaccess.

Pour ce faire, créez-le (ou modifiez-le si vous en avez déjà un) et ajoutez-y les deux lignes suivantes :

php_value post_max_size 30M
php_value upload_max_filesize 30M

 

Lire ...

Installer Certbot sous Debian et Apache

Tags: Linux, Apache

Posté le 28 décembre 2017


Xtr20171228154816833 certbot debian dec22017

Pour celles et ceux qui ne le savent pas "Certbot" est un outil développer par l'EFF (Electronic Frontier Foundation) permettant d'obtenir, en une simple ligne de commande, un certificat SSL gratuit de Let's Encrypt.

Sous Debian 8 (Jessie), l'installation se fait par une simple ligne de commande :

sudo apt-get install python-certbot-apache -t jessie-backports

Toutefois, en tentant de l'installer, il se peut que vous tombiez sur l'erreur suivante :

Reading package lists... Done E: The value 'jessie-backports' is invalid for APT::Default-Release as such a release is not available in the sources

Pour remedier à cela, il suffit de modifier le fichier "/etc/apt/sources.list" et d'y ajouter la ligne suivante :

deb http://ftp.debian.org/debian jessie-backports main

Pour que cela soit pris en compte, il faut ensuite lancer :

sudo apt-get update

Pour installer certbot-auto, lancez successivement les trois commandes suivantes :

user@webserver:~$ wget https://dl.eff.org/certbot-auto
user@webserver:~$ chmod a+x ./certbot-auto
user@webserver:~$ ./certbot-auto --help
Lire ...

Rechercher

Tags

Publicité

Suivez-nous